Subject: Re: bug#5650: 23.1; ERC causes Emacs to hang on network dropouts

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2015 23:16:56 +0100

Chong Yidong <[email-masked]> writes:

>> > When my network connection drops out, ERC loses its connection and
>> > attempts to reconnect. I see the message "connecting to server
>> > irc.freenode.net 6777..." in the minibuffer and Emacs becomes
>> > unresponsive.
>> ...
>> I made a patch that increments erc-server-reconnect-count before calling
>> erc-server-reconnect instead, and resets it only when the connection is
>> really ready, that is, in erc-connection-established.
>
> Hi,
>
> Could someone please review this patch by Thomas Riccardi and Vivek
> Dasmohapatra?  The full description of the problem can be viewed at

The patches looked OK to me.  I've applied them to the Emacs trunk
now -- I think we can consider this "new functionality" and not a bug
fix.  It seems to work for me, but I guess time will tell..

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no